package m05bTransferenciasEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05ModeloEB</tt>.
 */
public class m05TransferenciasPK implements java.io.Serializable {

  /**
   * This is the primary key.
   * It is the modelo codigo, which is the primary key
   * in table <tt>m0540t00</tt>.
   */
  public String tra_codigo;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05TransferenciasPK) {
      m05TransferenciasPK otherKey = (m05TransferenciasPK) obj;
      return ((this.tra_codigo == otherKey.tra_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.tra_codigo.hashCode();
  }
}
